declare global {
    interface Window {
        MSStream: MSStreamType;
    }
}
interface MSStreamType {
    type: string;
    msClose(): void;
    msDetachStream(): any;
}
declare function connect(callback: Function): {
    on: (evt: string, cb: Function) => void;
    emit: (evt: string, data: Function) => void;
    isOpen: boolean;
    isOpening: boolean;
    txInProgress: boolean;
};
declare function write(data: string, callback: Function, callbackNewline?: boolean): any;
declare function evaluate(expr: string, cb: Function): void;
declare var uart: {
    debug: number;
    flowControl: boolean;
    log: (level: number, s: string) => void;
    writeProgress: (charsSent?: any, charsTotal?: any) => void;
    /** Connect to a new device - this creates a separate
     connection to the one `write` and `eval` use. */
    connect: typeof connect;
    write: typeof write;
    eval: typeof evaluate;
    setTime: (cb: Function) => void;
    isConnected: () => boolean;
    getConnection: () => any;
    close: () => void;
    /** Utility function to fade out everything on the webpage and display
    a window saying 'Click to continue'. When clicked it'll disappear and
    'callback' will be called. This is useful because you can't initialise
    Web Bluetooth unless you're doing so in response to a user input.*/
    modal: (callback: Function) => void;
};
export { uart };
